Summary:        An open source CoreSight(tm) Trace Decode library
Name:           opencsd
Version:        1.4.0
Release:        4%{?dist}
License:        BSD
URL:            https://github.com/Linaro/OpenCSD
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc gcc-c++ make
BuildRequires:  patch git


%description
This library provides an API suitable for the decode of 
ARM(r) CoreSight(tm) trace streams. The library will 
decode formatted trace in three stages: frame deformatting,
packet processing and packet decode. 


%package devel
Summary:  Development files for the CoreSight(tm) Trace Decode library
Requires: %{name} = %{version}-%{release}

%description devel
The opencsd-devel package contains headers and libraries needed
to develop CoreSight(tm) trace decoders.


%prep
%autosetup -n OpenCSD-%{version}


%build
cd decoder/build/linux
LIB_PATH=%{_lib} %make_build


%install
cd decoder/build/linux
LIB_PATH=%{_lib} %make_install DISABLE_STATIC=1 DEF_SO_PERM=755


%files
%license LICENSE
%doc HOWTO.md README.md
%{_libdir}/*so\.*
%{_bindir}/*

%files devel
%doc decoder/docs/prog_guide/*
%{_includedir}/*
%{_libdir}/*so


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 14 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.0-1
- initial build
